Bug 151444 - Wish: Add 'stop' alias to /root/.bashrc
Wish: Add 'stop' alias to /root/.bashrc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rootfiles (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 19:20 EST by Hans Erickson
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 00:33:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Erickson 2005-03-17 19:20:20 EST
It would be very useful if, in addition to the aliases already 
in /root/.bashrc, the following one were added: 
 
alias stop='kill -STOP' 
 
This makes it easy to stop processes.  Especially useful is 'stop $$' when in 
a 'su' shell.
Comment 1 Bill Nottingham 2005-03-18 00:33:28 EST
At this point, the root aliases aren't going to be expanded; they're pretty much
just historic.
Comment 2 Hans Erickson 2005-03-18 10:49:38 EST
Ah, well if a one line change in a script file is too much to ask, I guess it just re-affirms the commonly 
held belief that there is no way for outsiders to contribute to the Fedora project...
Comment 3 Hans Erickson 2005-03-18 12:27:40 EST
Sorry for the earlier flippant response.  I guess 'suspend' is a builtin bash 
command, so I should lobby the bash people to make 'stop' a similar command.  
Sorry to waste your time. 
 

Note You need to log in before you can comment on or make changes to this bug.